# eval.hh File Reference

This file provides the evaluation of a word w.r.t an automaton. More...

Include dependency graph for eval.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI , typename W >
Element< A, AI >::semiring_elt_t | eval (const Element< A, AI > &a, const W &word)
| Return the image of a word by an automaton.

## Detailed Description

This file provides the evaluation of a word w.r.t an automaton.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 17:50:38 2003

See also:
  eval()

Definition in file eval.hh.